# Removing a signer

To remove a signer from a document, you can execute the following mutation.

#### Mutation definition:

Here is the definition of the mutation you should use to remove a signer:

```graphql
mutation {
  deleteSigner(public_id: "SIGNER_PUBLIC_ID", document_id: "DOCUMENT_ID")
}
```

#### Parameters:

* `public_id`: **String (UUID!)**: The identifier of the signer, obtained by retrieving the signers of a document.
* `document_id`: **String (UUID!)**: The identifier of the document from which you want to remove the signer.

#### Expected response:

```graphql
{
  "data": {
    "deleteSigner": true
  }
}
```

{% hint style="info" %}
You can check what each of these parameters means directly in the full GraphQL API documentation, in the Docs menu of [Altair](https://altair.autentique.com.br/). If you're not sure how to do that, check out our tutorial on [**Using Altair**](/api/integration-basics/altair.md).
{% endhint %}

{% hint style="info" %}
If Altair doesn't help you integrate with the API, check out some examples of how to make these requests in other ways: <https://graphql.org/graphql-js/graphql-clients/>
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.autentique.com.br/api/mutations/removing-a-signer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
